#!/bin/bash
#PBS -S /bin/bash
#PBS -N #BENCHNAME#
#PBS -o #STDOUTLOGFILE#
#PBS -e #STDERRLOGFILE#
#PBS -m #NOTIFICATION#
#PBS -M #NOTIFY_EMAIL#
#PBS -l #PARTITIONS#
#PBS -l select=#NODES#:ncpus=#CPUSPERNODE#:mpiprocs=#TASKSPERNODE#:ompthreads=#THREADSPERTASK#
#PBS -l walltime=#TIME_LIMIT#

. /etc/profile
. /etc/profile.d/modules.sh

set -x

export OMP_NUM_THREADS=#THREADSPERTASK#

module load deisa
module load mkl
module list

cd $PBS_O_WORKDIR

echo "<jobstart at=\"`date`\" />" >> #OUTDIR#/start_info.xml
#PREPROCESS#
#STARTER# #ARGS_STARTER# #MEASUREMENT# #EXECUTABLE# #ARGS_EXECUTABLE#
#POSTPROCESS#
echo "<jobend at=\"`date`\" />" >> #OUTDIR#/end_info.xml
